Bug 1294218 - [Wayland] Scrolling renders lagging, bouncy view dropping some frames
[Wayland] Scrolling renders lagging, bouncy view dropping some frames
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wayland (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-25 08:54 EST by Anass Ahmed
Modified: 2016-12-20 12:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:22:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Scrolling in Document Viewer (Evince) (7.34 MB, application/octet-stream)
2015-12-25 08:54 EST, Anass Ahmed
no flags Details
Scrolling in GNOME Files (Nautilus) (7.08 MB, application/octet-stream)
2015-12-25 08:56 EST, Anass Ahmed
no flags Details

  None (edit)
Description Anass Ahmed 2015-12-25 08:54:19 EST
Created attachment 1109410 [details]
Scrolling in Document Viewer (Evince)

Description of problem:
I don't know the exact component to report this bug against it, but I've noticed that some GTK3 apps like GNOME Files (Nautilus) and Document Viewer (Evince) scrolling inside them renders laggy and bouncy view and looks like it drops some frames.

Version-Release number of selected component (if applicable):
nautilus-3.18.4-1.fc23.x86_64

evince-3.18.2-3.fc23.x86_64

wayland-devel-1.9.0-1.fc23.x86_64
libwayland-client-1.9.0-1.fc23.x86_64
ibus-wayland-1.5.11-1.fc23.x86_64
gnome-session-wayland-session-3.18.1.2-2.fc23.x86_64
libwayland-server-1.9.0-1.fc23.x86_64
xorg-x11-server-Xwayland-1.18.0-2.fc23.x86_64
libwayland-server-devel-1.9.0-1.fc23.x86_64
libwayland-cursor-devel-1.9.0-1.fc23.x86_64
mesa-libwayland-egl-devel-11.0.6-1.20151122.fc23.x86_64
libwayland-client-1.9.0-1.fc23.i686
libwayland-cursor-1.9.0-1.fc23.x86_64
libwayland-server-1.9.0-1.fc23.i686
mesa-libwayland-egl-11.0.6-1.20151122.fc23.x86_64
libwayland-client-devel-1.9.0-1.fc23.x86_64


How reproducible:
Always

Steps to Reproduce:
1. Open a multi-pages document in Evince or a place full of files in Nautilus.
2. Try to scroll down or up.
3.

Actual results:
A shaky, lagging, and bouncy view.

Expected results:
Smooth scrolling without bouncing or dropping frames.

Additional info:
I use the Intel default driver.
Comment 1 Anass Ahmed 2015-12-25 08:56 EST
Created attachment 1109411 [details]
Scrolling in GNOME Files (Nautilus)
Comment 2 Fedora End Of Life 2016-11-24 09:30:54 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 12:22:50 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.